import {Model} from '../Model.ts'
import {HasOneOrMany} from './HasOneOrMany.ts'

export class HasOne<T extends Model<T>, T2 extends Model<T2>> extends HasOneOrMany<T, T2> {
    public async get(): Promise<T2 | undefined> {
        return this.fetch().first()
    }
}
